Package org.eclipse.mat.internal.snapshot.inspections

# Enum DominatorQuery.Grouping

java.lang.Object
java.lang.Enum<DominatorQuery.Grouping>
org.eclipse.mat.internal.snapshot.inspections.DominatorQuery.Grouping

All Implemented Interfaces:
  `Serializable`, `Comparable<DominatorQuery.Grouping>`, `java.lang.constant.Constable`

Enclosing class:
  DominatorQuery

public static enum DominatorQuery.Grouping extends Enum<DominatorQuery.Grouping>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BY_CLASS`
`BY_CLASSLOADER`
`BY_PACKAGE`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`URL`
`getIcon()`
`String`
`toString()`
`static DominatorQuery.Grouping`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DominatorQuery.Grouping[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final DominatorQuery.Grouping NONE

### BY_CLASS

public static final DominatorQuery.Grouping BY_CLASS

### BY_CLASSLOADER

public static final DominatorQuery.Grouping BY_CLASSLOADER

### BY_PACKAGE

public static final DominatorQuery.Grouping BY_PACKAGE

## Method Details

### values

public static DominatorQuery.Grouping[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DominatorQuery.Grouping valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getIcon

public URL getIcon()

### toString

public String toString()

Overrides:
  `toString` in class `Enum<DominatorQuery.Grouping>`